<div class="test-sessions" ng-class="{ _logs: $ctrl.logsView }">
    <test-session-info-loader class="test-sessions__loader"
        logs-view="$ctrl.logsView"
        ng-if="$ctrl.isSessionsLoading"></test-session-info-loader>
    <v-accordion class="test-sessions__accordion"
        id="test-sessions-accordion"
        oncollapse="$ctrl.onAccordionCollapse(index, id)"
        ng-attr-multiple="{{ ::$ctrl.logsView }}"
        ng-if="!$ctrl.isSessionsLoading">
        <v-pane class="test-sessions__accordion-item"
            ng-repeat="session in $ctrl.sessions track by session.id"
            id="v-pane-{{ ::session.id }}"
            expanded="session.isActive">
            <v-pane-header class="test-sessions__accordion-header">
                <div class="test-sessions__header">
                    <div class="test-sessions__header-title">{{session.name}}</div>
                    <div class="test-sessions__header-metadata">
                        <div class="test-sessions__meta-item" ng-if="session.formattedValues.platformName">
                            <span class="test-sessions__meta-item-icon platform-icon {{session.formattedValues.platformName}}"></span>
                            <span ng-if="session.platformVersion"
                                class="test-sessions__meta-item-text">{{session.platformVersion}}</span>
                        </div>
                        <div class="test-sessions__meta-item" ng-if="session.formattedValues.deviceName">
                            <span class="test-sessions__meta-item-text"
                                title="{{session.formattedValues.deviceName}}">{{session.formattedValues.deviceName}}</span>
                        </div>
                        <div class="test-sessions__meta-item" ng-if="session.formattedValues.browserIcon">
                            <span class="test-sessions__meta-item-icon platform-icon {{session.formattedValues.browserIcon}}"></span>
                            <span ng-if="session.formattedValues.browserVersion"
                                title="{{session.formattedValues.browserVersion}}"
                                class="test-sessions__meta-item-text">{{session.formattedValues.browserVersion}}</span>
                        </div>
                    </div>
                    <i class="test-sessions__header-icon material-icons">
                        keyboard_arrow_down
                    </i>
                </div>
            </v-pane-header>
            <v-pane-content class="test-sessions__accordion-item-content">
                <test-session-info session="session"
                    is-vnc="$ctrl.test.status === 'IN_PROGRESS'"
                    logs-view="$ctrl.logsView"
                    test-id="$ctrl.test.id"></test-session-info>
            </v-pane-content>
        </v-pane>
    </v-accordion>
</div>
